org.eclipse.viatra.query.patternlanguage.emf.ui.contentassist

## Class EMFPatternLanguageTemplateProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider
  - - org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider
    - - org.eclipse.viatra.query.patternlanguage.emf.ui.contentassist.EMFPatternLanguageTemplateProposalProvider

- All Implemented Interfaces:
    org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider

      public class EMFPatternLanguageTemplateProposalProvider
      extends org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

  Override

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

      `org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider.FollowElementAcceptor`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider

      `org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider.NullSafeTemplateAcceptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageTemplateProposalProvider(org.eclipse.jface.text.templates.persistence.TemplateStore templateStore, org.eclipse.jface.text.templates.ContextTypeRegistry registry, org.eclipse.xtext.ui.editor.templates.ContextTypeIdHelper helper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.jface.text.templates.TemplateProposal` | `createProposal(org.eclipse.jface.text.templates.Template template, org.eclipse.jface.text.templates.TemplateContext templateContext, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.swt.graphics.Image image, int relevance)`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.templates.DefaultTemplateProposalProvider

      `createFollowElementAcceptor, createTemplates, getContextTypes, getImage, getRelevance`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider

      `createPosition, createTemplateContexts, createTemplates, doCreateProposal, doCreateTemplateContext, getScopeProvider, setScopeProvider, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageTemplateProposalProvider

          @Inject
          public EMFPatternLanguageTemplateProposalProvider(org.eclipse.jface.text.templates.persistence.TemplateStore templateStore,
                                                                    org.eclipse.jface.text.templates.ContextTypeRegistry registry,
                                                                    org.eclipse.xtext.ui.editor.templates.ContextTypeIdHelper helper)

  - ### Method Detail

    - #### createProposal

          protected org.eclipse.jface.text.templates.TemplateProposal createProposal(org.eclipse.jface.text.templates.Template template,
                                                                                     org.eclipse.jface.text.templates.TemplateContext templateContext,
                                                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                                     org.eclipse.swt.graphics.Image image,
                                                                                     int relevance)

      Overrides:
        `createProposal` in class `org.eclipse.xtext.ui.editor.templates.AbstractTemplateProposalProvider`